Bug 248615 - Use ProjectConvertor for implementation of FeatureProjectFactory
Use ProjectConvertor for implementation of FeatureProjectFactory
Status: VERIFIED WONTFIX
Product: ide
Classification: Unclassified
Component: Features On Demand
8.1
PC Linux
: P2 (vote)
: 8.1
Assigned To: Jaroslav Tulach
issues@performance
:
Depends on:
Blocks: 248887
  Show dependency treegraph
 
Reported: 2014-11-13 10:29 UTC by Svata Dedic
Modified: 2015-01-13 09:23 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Svata Dedic 2014-11-13 10:29:06 UTC
Jarda promised to adjust ergonomics to support ProjectConvertorFactory.
Comment 1 Quality Engineering 2014-11-21 03:52:02 UTC
Integrated into 'main-silver', will be available in build *201411210001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/c0bff106ac1c
User: Svata Dedic <sdedic@netbeans.org>
Log: #248615: the test should ignore ProjectConvertorFactory for now
Comment 2 Jaroslav Tulach 2014-12-09 15:51:55 UTC
Some people seemed to have a feeling that failing test in ide.ergonomics does not mean anything. Actually, issue 248887 shows it does. The test indicates that there is some part of functionality in the system (a way to recognize project folders) that ergonomics is not aware of and which will not be enabled when running in ergonomics mode.
Comment 3 Tomas Zezula 2014-12-09 15:56:04 UTC
As far as I remember Jardo you promised to take care about project convertor in the ergonomics & also rewrite ergonomics to use project convertors.
Comment 4 Jaroslav Tulach 2014-12-11 10:43:37 UTC
The test itself has been properly fixed as part of issue 24887. The question whether to use ProjectConvertor as implementation of FeatureProjectFactory still remains. Btw. for that I would need documented layer API, which I described at: http://hg.netbeans.org/ergonomics/rev/c14c5579baae
Comment 5 Jaroslav Tulach 2014-12-22 15:35:51 UTC
Unless there are problems found with current duality, I don't think there is much need to try to solve it. Overall everything seems to work fine from my perspective.
Comment 6 Tomas Zezula 2015-01-12 11:08:14 UTC
OK, agree.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo